unit idr210Unt;

interface

uses SysUtils,
  Classes, Windows, DateUtils;

function InitComm(iPort: integer): integer; stdcall; external 'dll\idr\sdtapi.dll';

function CloseComm: integer; stdcall; external 'dll\idr\sdtapi.dll';

function Authenticate: integer; stdcall; external 'dll\idr\sdtapi.dll';

function ReadBaseMsgPhoto(pMsg: pchar; var len: integer; directory: pchar): integer; stdcall; external 'dll\idr\sdtapi.dll';

function ReadBaseInfosPhoto(Name: pchar; Gender: pchar; Folk: pchar; BirthDay: pchar; Code: pchar; Address: pchar;
  Agency: pchar; ExpireStart: pchar; ExpireEnd: pchar; directory: pchar): integer; stdcall; external 'dll\idr\sdtapi.dll';

implementation

end.

 